%global bootstrap 1

Name:           maven-javadoc-plugin
Version:        2.7
Release:        9
Summary:        Maven Javadoc Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-javadoc-plugin
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-javadoc-plugin-2.7
# tar caf maven-javadoc-plugin-2.7.tar.xz maven-javadoc-plugin-2.7/
Source0:        %{name}-%{version}.tar.xz
Patch0:         remove-test-deps.patch
#Patch1:         pom.patch

BuildRequires:  maven2
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-resources-plugin

#BuildRequires:  maven-surefire-maven-plugin
#BuildRequires:  maven-doxia-sitetools
#BuildRequires:  maven-shared-plugin-testing-harness
#BuildRequires:  maven-shade-plugin
#BuildRequires:  plexus-interactivity
#BuildRequires:  maven-shared-invoker
%if ! %{bootstrap}
BuildRequires:  maven-javadoc-plugin
%endif        

BuildRequires: java-devel >= 0:1.6.0.

Requires:       jpackage-utils
Requires:       maven2
#Requires:       maven-shared-invoker
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildArch: noarch

Obsoletes: maven2-plugin-javadoc <= 2.0.8
Provides:  maven2-plugin-javadoc = %{version}-%{release}

%description
The Maven Javadoc Plugin is a plugin that uses the javadoc tool for
generating javadocs for the specified project.
 
%if ! %{bootstrap}
%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep
%setup -q 
%patch0
# Update source for use with newer doxia
#%patch1

#sed -i -e "s|org.apache.maven.doxia.module.xhtml.decoration.render|org.apache.maven.doxia.sink.render|g" src/main/java/org/apache/maven/plugin/javadoc/JavadocReport.java

sed -i -e "s|model>|models>|g" pom.xml

%build
mvn -Dmaven.test.skip=true \
        install
%if ! %{bootstrap}
mvn-jpp -Dmaven.test.skip=true \
       javadoc:javadoc
%endif        

%install

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap org.apache.maven.plugins maven-javadoc-plugin %{version} JPP maven-javadoc-plugin

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%if ! %{bootstrap}
# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/api*
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if ! %{bootstrap}
%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%endif


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.7-9
+ Revision: d9c8ba7
- MassBuild#440: Increase release tag


